## golang-github-adrianmo-go-nmea 1.2.0

=== debian/changelog ===
golang-github-adrianmo-go-nmea (1.2.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 24 Jul 2020 22:39:34 +0000

golang-github-adrianmo-go-nmea (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #965078)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 14 Jul 2020 20:07:34 +0000

## golang-github-adrianmo-go-nmea 1.7.0

=== Makefile ===
.DEFAULT_GOAL := check
check: lint vet test ## Check project

lint: ## Lint the files
	@golint -set_exit_status ./...

vet: ## Vet the files
	@go vet ./...

test: ## Run tests with data race detector
	@go test -race ./...

init:
	@go get -u golang.org/x/lint/golint@latest

goversion ?= "1.17"
test_version: ## Run tests inside Docker with given version (defaults to 1.17). Example for Go1.15: make test_version goversion=1.15
	@docker run --rm -it -v $(shell pwd):/project golang:$(goversion) /bin/sh -c "cd /project && make test"

## golang-github-adrianmo-go-nmea 1.3.0

=== debian/changelog ===
golang-github-adrianmo-go-nmea (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 26 Aug 2020 20:12:02 +0000

=== debian/control ===
Source: golang-github-adrianmo-go-nmea
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/adrianmo/go-nmea
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-adrianmo-go-nmea
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-adrianmo-go-nmea.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/adrianmo/go-nmea

Package: golang-github-adrianmo-go-nmea-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: Go library for the NMEA 0183 protocol
 Go library for the National Marine Electronics Association 0183 protocol.
 .
 NMEA 0183 is a combined electrical and data specification for communication
 between marine electronics such as echo sounder, sonars, anemometer,
 gyrocompass, autopilot, GPS receivers and many other types of instruments.
 .
 Features include:
  * Parse individual NMEA 0183 sentences.
  * Register custom parser for unsupported sentence types.
 .
 Supported sentences:
  * Sentence type | Description
     - RMC        | Recommended Minimum Specific GPS/Transit data.
     - PMTK       | Messages for setting and reading commands for MediaTek
                    gps modules.
     - GGA        | GPS Positioning System Fix Data.
     - GSA        | GPS DOP and active satellites.
     - GSV        | GPS Satellites in view.
     - GLL        | Geographic Position, Latitude / Longitude and time.
     - VTG        | Track Made Good and Ground Speed.
     - ZDA        | Date & time data.
     - HDT        | Actual vessel heading in degrees True.
     - GNS        | Combined GPS fix for GPS, Glonass, Galileo, and BeiDou.
     - PGRME      | Estimated Position Error (Garmin proprietary sentence).
     - THS        | Actual vessel heading in degrees True and status.
     - VDM/VDO    | Encapsulated binary payload.
     - WPL        | Waypoint location.
     - RTE        | Route.
     - VHW        | Water Speed and Heading.
     - DPT        | Depth of Water.
     - DBS        | Depth Below Surface.
     - DBT        | Depth below transducer.

=== debian/watch ===
version=4
https://github.com/adrianmo/go-nmea/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-adrianmo-go-nmea 1.4.0

=== debian/changelog ===
golang-github-adrianmo-go-nmea (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.
  * debian/control:
      - Bump Standards-Version to 4.6.0.
      - Update long description.
  * debian/copyright: update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 10 Sep 2021 13:03:56 +0000

golang-github-adrianmo-go-nmea (1.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Bump Standards-Version to 4.5.1.
  * Update debian/watch.
  * debian/gbp.conf: replace debian/master with debian/latest.
  * debian/gitlab-ci.yml: created.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 16 Aug 2021 23:26:45 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/adrianmo/go-nmea
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-adrianmo-go-nmea
@@ -29,6 +29,7 @@
  Features include:
   * Parse individual NMEA 0183 sentences.
   * Register custom parser for unsupported sentence types.
+  * Support for sentences with NMEA 4.10 "TAG Blocks".
  .
  Supported sentences:
   * Sentence type | Description
@@ -52,3 +53,6 @@
      - DPT        | Depth of Water.
      - DBS        | Depth Below Surface.
      - DBT        | Depth below transducer.
+     - MDA        | Meteorological Composite.
+     - MWD        | Wind Direction and Speed.
+     - MWV        | Wind Speed and Angle.

=== debian/watch ===
version=4
https://github.com/adrianmo/go-nmea/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-adrianmo-go-nmea 1.7.0

=== debian/changelog ===
golang-github-adrianmo-go-nmea (1.7.0-2) unstable; urgency=medium

  * Update the search rule in debian/watch.
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 10 Jan 2023 14:46:09 +0000

golang-github-adrianmo-go-nmea (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0.
  * Update my email address.
  * Update upstream and packaging copyright years.
  * Update package description.
  * Mark golang-github-adrianmo-go-nmea-dev as 'Multi-Arch: foreign',
    via the Multi-Arch hinter.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 02 May 2022 16:45:44 +0000

=== debian/control ===
Source: golang-github-adrianmo-go-nmea
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/adrianmo/go-nmea
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-adrianmo-go-nmea
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-adrianmo-go-nmea.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/adrianmo/go-nmea

Package: golang-github-adrianmo-go-nmea-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: Go library for the NMEA 0183 protocol
 Go library for the National Marine Electronics Association 0183 protocol.
 .
 NMEA 0183 is a combined electrical and data specification for communication
 between marine electronics such as echo sounder, sonars, anemometer,
 gyrocompass, autopilot, GPS receivers and many other types of instruments.
 .
 Features include:
  * Parse individual NMEA 0183 sentences.
  * Register custom parser for unsupported sentence types.
  * Support for sentences with NMEA 4.10 "TAG Blocks".
 .
 Supported sentences:
  * Sentence type | Description
     - AAM        | Waypoint BArrival Alarm.
     - ALA        | System Faults and Alarms.
     - APB        | Autopilot Sentence "B".
     - BEC        | Bearing and distance to waypoint (dead reckoning).
     - BOD        | Bearing waypoint to waypoint (origin to destination).
     - BWC        | Bearing and distance to waypoint (great circle).
     - BWR        | Bearing and distance to waypoint (Rhumb Line).
     - BWW        | Bearing from destination waypoint to origin waypoint.
     - DBK        | Depth Below Keel (obsolete, use DPT instead).
     - DBS        | Depth Below Surface (obsolete, use DPT instead).
     - DBT        | Depth below transducer.
     - DOR        | Door Status Detection.
     - DPT        | Depth of Water.
     - DSC        | Digital Selective Calling Information.
     - DSE        | Expanded digital selective calling.
     - DTM        | Datum Reference.
     - EVE        | General Event Message.
     - FIR        | Fire Detection event with time and location.
     - GGA        | GPS Positioning System Fix Data.
     - GLL        | Geographic Position, Latitude / Longitude and time.
     - GNS        | Combined GPS fix for GPS, Glonass, Galileo, and BeiDou.
     - GSA        | GPS DOP and active satellites.
     - GSV        | GPS Satellites in view.
     - HDG        | Heading, Deviation & Variation.
     - HDM        | Heading - Magnetic.
     - HDT        | Actual vessel heading in degrees True.
     - HSC        | Heading steering command.
     - MDA        | Meteorological Composite.
     - MTA        | Air Temperature (obsolete, use XDR instead).
     - MTW        | Mean Temperature of Water.
     - MWD        | Wind Direction and Speed.
     - MWV        | Wind Speed and Angle.
     - OSD        | Own Ship Data.
     - RMB        | Recommended Minimum Navigation Information.
     - RMC        | Recommended Minimum Specific GPS/Transit data.
     - ROT        | Rate of turn.
     - RPM        | Engine or Shaft revolutions and pitch.
     - RSA        | Rudder Sensor Angle.
     - RSD        | RADAR System Data.
     - RTE        | Route.
     - THS        | Actual vessel heading in degrees True and status.
     - TLL        | Target latitude and longitude.
     - TTM        | Tracked Target Message.
     - TXT        | Sentence is for the transmission of text messages.
     - VBW        | Dual Ground/Water Speed.
     - VDM/VDO    | Encapsulated binary payload (commonly used with AIS data).
     - VDR        | Set and Drift.
     - VHW        | Water Speed and Heading.
     - VLW        | Distance Traveled through Water.
     - VPW        | Speed Measured Parallel to Wind.
     - VTG        | Track Made Good and Ground Speed.
     - VWR        | Relative Wind Speed and Angle.
     - VWT        | True Wind Speed and Angle.
     - WPL        | Waypoint location.
     - XDR        | Transducer Measurement.
     - ZDA        | Date & time data.
  * Proprietary sentence type | Description
     - PGRME      | Estimated Position Error (Garmin proprietary sentence).
     - PHTRO      | Vessel pitch and roll (Xsens IMU/VRU/AHRS).
     - PMTK       | Messages for setting and reading commands for MediaTek gps
                    modules.
     - PRDID      | Vessel pitch, roll and heading (Xsens IMU/VRU/AHRS).
     - PSKPDPT    | Depth of Water for multiple transducer installation.
     - PSONCMS    | Quaternion, acceleration, rate of turn, magnetic field,
                    sensor temperature (Xsens IMU/VRU/AHRS).

=== debian/watch ===
version=4
https://github.com/adrianmo/go-nmea/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-adrianmo-go-nmea 1.8.0

=== debian/changelog ===
golang-github-adrianmo-go-nmea (1.8.0-2) unstable; urgency=medium

  * Drop debian/patches/sentence_customparser_test.go.patch
    because the PanicsWithError function is now present in
    golang-github-stretchr-testify-dev.
  * Change Section from devel to golang.
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 14 May 2024 11:54:35 +0000

golang-github-adrianmo-go-nmea (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 25 Jul 2023 22:01:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-adrianmo-go-nmea
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>

## golang-github-adrianmo-go-nmea 1.10.0

=== Makefile ===
.DEFAULT_GOAL := check
check: lint vet test ## Check project

lint: ## Lint the files
	@golint -set_exit_status ./...

vet: ## Vet the files
	@go vet ./...

test: ## Run tests with data race detector
	@go test -race ./...

init:
	@go install golang.org/x/lint/golint@latest

goversion ?= "1.19"
test_version: ## Run tests inside Docker with given version (defaults to 1.19). Example for Go1.15: make test_version goversion=1.15
	@docker run --rm -it -v $(shell pwd):/project golang:$(goversion) /bin/sh -c "cd /project && make test"

=== debian/changelog ===
golang-github-adrianmo-go-nmea (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0.
  * Bump Standards-Version to 4.7.0.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sun, 18 Aug 2024 19:42:30 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/adrianmo/go-nmea
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-adrianmo-go-nmea
